@import "res.css";

body {
    margin: 0;
    padding: 0;
    background-color: #D6A2E8;
    background-image: url("./img/bg-main.jpg");
    background-size: cover;
    height: 100%;
}

form[name=Auth] {
    position: absolute;
    top: 0;
    bottom: 0;
    display: grid;
    justify-content: center;
    align-content: center;
    background-color: #FC427B60;
    padding: 0.5rem;
    margin: 0;
    max-width: 20rem;
    width: 100%;
}

form[name=Auth] > input {
    display: block;
    max-width: 15rem;
    margin: 0.5rem auto;
    text-align: center;
    border-radius: 0.5rem;
    border: 0.1rem solid grey;
    background-color: #CAD3C8;
    padding: 0.5rem;
}

form[name=Auth] > input[type=submit] {
    border-color: black;
    padding: 0.2rem 1.5rem;
}


#messages {
    height: 100%;
    max-width: 20rem;
    display: inline-block;
    width: 100%;
    background-color: white;
    margin: 0;
    padding: 0;
    overflow: scroll;
}

#message-area {
    background-color: red;
    max-width: 35rem;
    width: 100%;
    display: inline-block;
    position: absolute;
    top: 0;
    bottom: 0;
    padding: 1.5rem;
}

img {

    width: 100%;
    max-width: 4rem;
    float: left;
    border-radius: 100%;

}

li {
    list-style: none;
}

.message p {

    width: 20ch;
    overflow: hidden;
    height: 2ch;

}


.message {
    min-height: 4rem;
    padding: 0.5rem;
}

#messages li + li {
    border-top: 0.1rem solid black;
}

.received {

    text-align: left;
    padding-right: 65%;
}


.sended {
    text-align: right;
    padding-left: 65%;
}

.sended p {
    background-color: darkblue;
    color: white;
    border-radius: 0.5rem;
}

.received, .sended {

    display: block;

}

.sended p, .received p {

    padding: 0.5rem;
    border-radius: 0.5rem;

}

.received p {

    background-color: darkgray;
    color: black;

}

ol {
    padding: 0;
    overflow: scroll;
    height: calc(100% - 6rem + 1.5rem);
}

form[name=messageForm] {
    position: absolute;

    bottom: 0;

    background-color: white;

    right: 0;

    left: 0;

    margin: 0;
}
input[type=submit]{
    border: unset;
    width: 6rem;
    height: 6rem;
    background: darkgray;
}

textarea {
    display: inline-block;
    resize: none;
    height: 6rem;
    float: left;
    padding: 0.5rem;
    border: unset;
    width: calc(100% - 6rem);
}
textarea:focus {

    border: unset;

}
#content{
    /*! position: relative; */
    display: block;
    width: 100%;
    max-width: 55rem;
    margin: 0 auto;
}

#messages li:hover {
    background-color: #0000004d;
    cursor: pointer;
    transition: 0.3s;
}

input[type="submit"]:hover {
    border: 0.1rem solid black;
    transition: 1.3s;
}

.mbl {
    display: none;
}